/*
 * sum_float.h
 *
 *  Created on: 01-03-2017
 *      Author: Krzysztof Jakubczyk
 */

#ifndef SUM_FLOAT_H_
#define SUM_FLOAT_H_

#include "tdefs.h"

struct sum_float_logic
{
	float *in1;
	float *in2;
	float *in3;
	float *out;
};

struct sum_float_io
{
	u32 in1_float_in;
	u32 in2_float_in;
	u32 in3_float_in;
	u32 out_float_out;
}__attribute__((__packed__));

struct sum_float_params
{
}__attribute__((__packed__));

struct sum_float_args
{
	struct sum_float_io io;
	struct sum_float_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void sum_float(void *args, void *logic);
extern int sum_float_initlog(void *arguments, void *logic);

#endif /* SUM_FLOAT_H_ */
